> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/provisioning/api-reference/identity_providers/object.md).

# The identity provider object

An identity provider object is returned as part of the response body of each successful create, list, retrieve or update API call to the `/api/identity_providers` endpoint.

## Fields

| Field                             | Type       | Description                                                                                                                                                                                         |
| --------------------------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **`type`**                        | `string`   | `identity_providers`                                                                                                                                                                                |
| **`id`**                          | `string`   | The identity provider unique identifier.                                                                                                                                                            |
| links.**`self`**                  | `string`   | The identity provider endpoint URL.                                                                                                                                                                 |
| attributes.**`name`**             | `string`   | The name of the Identity provider.                                                                                                                                                                  |
| attributes.**`client_id`**        | `string`   | The client ID used for the auth workflow.                                                                                                                                                           |
| attributes.**`client_secret`**    | `string`   | The client secret used for the auth workflow.                                                                                                                                                       |
| attributes.**`issuer`**           | `string`   | The issuer used for the auth workflow.                                                                                                                                                              |
| attributes.**`status`**           | `string`   | The identity provider status. One of `pending` (default), `verified` or `error`.                                                                                                                    |
| attributes.**`domains`**          | `string`   | The list of domains in scope (comma-separated).                                                                                                                                                     |
| attributes.**`token_url`**        | `string`   | The token URL used for the auth workflow.                                                                                                                                                           |
| attributes.**`authorize_url`**    | `string`   | The authorize URL used for the auth workflow.                                                                                                                                                       |
| attributes.**`jwks_url`**         | `string`   | The JWKS key store URL used for the auth workflow.                                                                                                                                                  |
| attributes.**`txt_record`**       | `string`   | The TXT record value used to check the domain.                                                                                                                                                      |
| attributes.**`organization`**     | `string`   | The organization identifier for authorize params.                                                                                                                                                   |
| attributes.**`created_at`**       | `datetime` | Time at which the resource was created.                                                                                                                                                             |
| attributes.**`updated_at`**       | `datetime` | Time at which the resource was last updated.                                                                                                                                                        |
| attributes.**`reference`**        | `string`   | A string that you can use to add any external identifier to the resource. This can be useful for integrating the resource to an external system, like an ERP, a marketing tool, a CRM, or whatever. |
| attributes.**`reference_origin`** | `string`   | Any identifier of the third party system that defines the reference code.                                                                                                                           |
| attributes.**`metadata`**         | `object`   | Set of key-value pairs that you can attach to the resource. This can be useful for storing additional information about the resource in a structured format.                                        |
| attributes.**`_disable`**         | `boolean`  | Send this attribute if you want to mark this resource as disabled.                                                                                                                                  |
| attributes.**`_enable`**          | `boolean`  | Send this attribute if you want to mark this resource as enabled.                                                                                                                                   |
| attributes.**`disabled_at`**      | `datetime` | Time at which this resource was disabled.                                                                                                                                                           |
| relationships.**`user`**          | `object`   | The user associated to the identity provider.                                                                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/provisioning/api-reference/identity_providers/object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
